﻿@model IEnumerable<ExploreApilkasiCuti.Models.MasterSettings>

@{
    //ViewBag.Title = "Master Settings";
    Layout = "~/Views/Shared/_Layout.cshtml";
}@*
    @section HeadLibrary{
        <!-- DataTables -->
        <link rel="stylesheet" href="~/AdminLTE//plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
        <link rel="stylesheet" href="~/AdminLTE//plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
        <!-- SweetAlert2 -->
        <link rel="stylesheet" href="~/AdminLTE//plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
        <!-- Toastr -->
        <link rel="stylesheet" href="~/AdminLTE//plugins/toastr/toastr.min.css">
    }*@
@section HeadLibrary{
    <!-- DataTables -->
    <link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/plugins/datatables/dataTables.bootstrap.css")">
    <link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/plugins/datatables/dataTables.bootstrap.min.css")">
    <link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/plugins/select2/css/select2.min.css")">
    <link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/plugins/select2/css/s2-docs.css")">
    @*<link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/dist/AdminLTE.min.css")">
        <link rel="stylesheet" type='text/css' href="@Url.Content("~/AdminLTE/plugins/bootstrap/bootstrap.css")">
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">*@
}

<section class="content" style="margin-top:-10px; padding-top:0px">
    <div class="row">
    <div class="col-xs-12">
        <div class="box">
            <div id="Notification"></div>
            <form action="@Url.Action("Update")" method="post">
                <div class="box-header">
                    <h3><i class="fa fa-wrench"></i> Master Data Setting</h3>
                </div>
                <div class="box-body">
                    @Html.Raw(ViewBag.value2)
                </div>
                <div class="box-footer">
                    <button type="submit" class="btn btn-primary">Save</button>
                    @*<button type="button" id="btnUpdate" class="btn btn-primary">Simpan Perubahan</button>*@

                </div>
            </form>
        </div>
    </div>
    </div> 
</section>

<!-- /.modal Edit start -->
<div class="modal fade" id="modalEdit">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Edit Data Setting</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="card card-primary">
                <!-- form start -->
                <form role="form">
                    <div class="card-body">
                        <div class="form-group">
                            <label for="edit_id_setting">ID Setting</label>
                            <input type="text" class="form-control" id="edit_id_setting" required disabled>
                        </div>
                        <div class="form-group">
                            <label for="edit_deskripsi">Deskripsi</label>
                            <input type="text" class="form-control" id="edit_deskripsi">
                        </div>
                        <div class="form-group">
                            <label for="edit_value_settings">Value Settings</label>
                            <input type="text" class="form-control" id="edit_value_settings">
                        </div>
                    </div>
                    <!-- /.card-body -->

                    <div class="card-footer">
                        <button type="button" id="btnUpdate" class="btn btn-primary">Simpan Perubahan</button>
                    </div>
                </form>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal edit end -->
<!-- /.content -->
@section BodyLibrary{
    <!-- DataTables -->
    <script src="@Url.Content("~/AdminLTE/plugins/datatables/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>
    <!-- SweetAlert2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js")"></script>
    <!-- Toastr -->
    <script src="@Url.Content("~/AdminLTE/plugins/toastr/toastr.min.js")"></script>
    <!-- DataRender -->
    <script src="@Url.Content("~/AdminLTE/plugins/dataRender/dateTime.js")"></script>
}

@section AdditionalScript{
    <script>

        var rowId;
        var rowName;
        var masterSettingTable;

        jQuery(document).ready(function ($) {


            masterSettingTable = $("#dataMasterSetting").DataTable({

                "responsive": true,
                "autoWidth": false,

                "ajax": {
                    "url": '@Url.Action("GetDatatableAll")',
                    "type": "POST",
                    "datatype": "JSON"
                },
                "columns": [
                    { "data": "id_setting", "name": "id_setting" },
                    { "data": "deskripsi", "name": "deskripsi" },
                    { "data": "value_settings", "name": "value_settings" },
                    {
                        data: null, render: function (data, type, row) {
                            return '<button type="button" data-toggle="modal" data-target="#modalEdit" class="btn btn-sm btn-icon btn-icon rounded-circle bg-gradient-primary waves-effect waves-light" style="margin-right: 5px;" onclick="editSetting(\'' + data.id_setting + '\')"><i class="fas fa-edit"></i></button>'
                                //< button type = "button" class="btn btn-sm btn-icon btn-icon rounded-circle bg-gradient-danger waves-effect waves-light" onclick = "deleteSetting(\'' + data.id_setting + '\')" > <i class="fa fa-trash-alt"></i></button > '
                        }

                    },
                ],

            });
        });


        $('#btnUpdate').on('click', function () {
            $.ajax({
                    url: '@Url.Action("Update")',
                    method: "POST",
                    dataType: "JSON",
                    data: {
                        "id_setting": $('#edit_id_setting').val(),
                        "deskripsi": $('#edit_deskripsi').val(),
                        "value_settings": $('#edit_value_settings').val(),
                        //"created_by": $('#edit_created_by').val(),
                        //"created_date": $('#edit_created_date').val(),
                    },
                    beforeSend: function () {
                        Swal.fire({
                            title: 'Processing...',
                            html: "Saving Data.",
                            allowOutsideClick: false,
                            onBeforeOpen: () => {
                                Swal.showLoading()
                            }
                        });
                    },
                    success: function (result) {
                        Swal.close();
                        if (result.metaData.code === '200') {
                            $('#modalEdit').modal('hide');
                            masterSettingTable.ajax.reload();

                            return toastr.success('Data berhasil diperbarui.', 'Success!', { "timeOut": 5000 });
                        } else {
                            return toastr.warning(result.metaData.message, 'Sorryuuuuu!', { "timeOut": 5000 });
                        }
                    },
                    error: function (eventError, textStatus, errorThrown) {
                        return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
                });
        });

        function editSetting(id_setting) {
            $.ajax({
                url: '@Url.Action("GetDataByID")' + "/" + id_setting,
                    method: "POST",
                    dataType: "JSON",
                    beforeSend: function () {
                        Swal.fire({
                            title: 'Loading...',
                            html: "Loading Data.",
                            allowOutsideClick: false,
                            onBeforeOpen: () => {
                                Swal.showLoading()
                            }
                        });
                    },
                    success: function (result) {
                        if (result.metaData.code === '200') {
                            Swal.close();
                            $('#edit_id_setting').val(result.response[0].id_setting);
                            $('#edit_deskripsi').val(result.response[0].deskripsi).trigger('change');
                            $('#edit_value_settings').val(result.response[0].value_settings).trigger('change'); 
                            $('#modalEdit').modal('show');
                        } else {
                            return toastr.warning(result.metaData.message, 'Sorry!', { "timeOut": 5000 });
                        }
                    },
                    error: function (eventError, textStatus, errorThrown) {
                        return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
                });
        }
    </script>
}